<?php
	global $gPage;
	$_ENV = parse_ini_file('.env');
	setlocale(LC_TIME, "fr_FR");
	ini_set('date.timezone','Africa/Abidjan');
	ini_set('display_errors', $_ENV['STATE']=='DEV');
	require_once("fonctions/fonction-generale.php");

	$wPage=array(
		'accueil'=>array('title'=>'Vitalis santé rassurez vous nous gérons !'),
		'vitalis-sante'=>array('title'=>'Vitalis santé rassurez vous nous gérons !'),
		'nos-experts'=>array('title'=>'Les membres de notre équipes'),
		'offres-de-couverture'=>array('title'=>'Nos offres de couverture'),
		'references'=>array('title'=>'Nos références'),
		'contact'=>array('title'=>'Contactez-nous'),
		'faq'=>array('title'=>'Foire aux questions'),
		'politique-de-confidentialite'=>array('title'=>'Politique de confidentialité'),
	);
	
	$gPage='p-'.((isset($_GET['v']) && array_key_exists(Generale::gSanitize($_GET['v']), $wPage))?Generale::gSanitize($_GET['v']):'accueil');
	foreach (glob('vues/*') as $k => $v) {// Chargement de la feuille de fonction de chaque vue
		if(file_exists($v.'/'.$gPage.'-action.php')){
			require_once($v.'/'.$gPage.'-action.php');
			break;
		}
	}
?>
